%global req_geany_ver 1.24.2

Name:       geany-tags
Version:    1.24
Release:    3%{?dist}
Summary:    Tags files for Geany
Group:      Development/Tools

# FIXME: clarify the license with upstream
License:    GPLv3+
URL:        http://wiki.geany.org/tags/start

# Download the tarball from http://wiki.geany.org/get_tags
Source0:    geany-tags.tar.bz2
BuildArch:  noarch

%description
Tags are information that relates symbols in a program with the source file
location of the declaration and definition.

Geany has built-in functionality for generating tag information (aka
"workspace tags") for supported filetypes when you open a file. You can also
have Geany automatically load external tag files (aka "global tags files")
upon startup, or manually using Tools --> Load Tags.

This package contains pre-generated tags for Geany, which will be load at
Geanys startup.


%package c
Summary:   Tags files for Geany for the C programming language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description c
This package contains tags files for Geany for the C programming language.


%package cpp
Summary:   Tags files for Geany for the C programming language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description cpp
This package contains tags files for Geany for the C++ programming language.


%package vala
Summary:   Tags files for Geany for the Vala programming language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description vala
This package contains tags files for Geany for the Vala programming language.


%package php
Summary:   Tags files for Geany for the PHP scripting language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description php
This package contains tags files for Geany for the PHP scripting language.


%package python
Summary:   Tags files for Geany for the Python programming language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description python
This package contains tags files for Geany for the Python programming language.


%package ruby
Summary:   Tags files for Geany for the Ruby scripting language
Group:     Development/Tools
Requires:  geany >= %{req_geany_ver}

%description ruby
This package contains tags files for Geany for the Ruby scripting language.



%prep
%setup -qn tags


%build
# Nothing to build here. We just have to place some configuraton files into the
# proper directory..


%install
rm -rf $RPM_BUILD_ROOT

# Delete tags files which currently are delivered with the Geany package itself
rm dbus-glib-0.76.c.tags
rm drupal.php.tags
rm ethos-1.0.c.tags
rm geany-api-0.19.c.tags
rm gladeui-1.0.c.tags
rm gnt.c.tags
rm gtk_-2.24.c.tags
rm gtkscintilla-2.0.c.tags
rm gtksourceview-3.0.c.tags
rm libdevhelp-2.0.c.tags
rm libgdl-3.0.c.tags
rm libxml-2.0.c.tags
rm sqlite3.c.tags
rm standard.css.tags
rm std.glsl.tags
rm std.latex.tags
rm v4l2.c.tags
rm webkit-1.0.c.tags
rm wordpress.php.tags
rm xfce48.c.tags


# Delete tags files for old unneeded versions
rm geany-api-0.18.c.tags
rm geany-api-0.21.c.tags
rm gtk_-2.16.c.tags
rm gtk_-2.18.c.tags
rm gtk_-2.20.c.tags
rm gtk_-2.22.c.tags


install -d $RPM_BUILD_ROOT%{_datadir}/geany/tags
install -pm 644 *.tags $RPM_BUILD_ROOT%{_datadir}/geany/tags


%clean
rm -rf $RPM_BUILD_ROOT


%files c
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.c.tags


%files cpp
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.cpp.tags


%files vala
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.vala.tags


%files php
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.php.tags


%files python
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.python.tags
%{_datadir}/geany/tags/*.py.tags


%files ruby
%defattr(-,root,root,-)
%{_datadir}/geany/tags/*.rb.tags


%changelog
* Thu Apr 23 2015 Dominic Hopf <dmaphy@fedoraproject.org> - 1.24-3
- update the Geany tags

* Sat Jan 24 2015 Dominic Hopf <dmaphy@fedoraproject.org> - 1.24-2
- update the geany tags

* Sun Jan 05 2014 Dominic Hopf <dmaphy@fedoraproject.org> - 1.23-1
- update the geany tags
- new subpackage for ruby tags

* Sat Dec 24 2011 Dominic Hopf <dmaphy@fedoraproject.org> - 0.21-1
- initial package for Fedora

